summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Симон Болоканов <sbolokanov@abv.bg>2014-09-16 08:15:49 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-09-16 08:15:49 +0700
commitb5785fcfa514d661409c808f36d7b21b4ac518d2 (patch)
tree3fc7ef6d524cdee272d3c3fae89f7f3a2c207dbb /libraries
parent466ccdd90cf461b55064e3367a7299e63c4298d0 (diff)
downloadslackbuilds-b5785fcfa514d661409c808f36d7b21b4ac518d2.tar.gz
slackbuilds-b5785fcfa514d661409c808f36d7b21b4ac518d2.tar.xz
libraries/liboauth: Added (OAuth Core in C).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/liboauth/README5
-rw-r--r--libraries/liboauth/liboauth.SlackBuild109
-rw-r--r--libraries/liboauth/liboauth.info10
-rw-r--r--libraries/liboauth/slack-desc19
4 files changed, 143 insertions, 0 deletions
diff --git a/libraries/liboauth/README b/libraries/liboauth/README
new file mode 100644
index 0000000000..bf2720ea21
--- /dev/null
+++ b/libraries/liboauth/README
@@ -0,0 +1,5 @@
+liboauth is a collection of POSIX-c functions implementing the OAuth Core RFC 5849 standard.
+liboauth provides functions to escape and encode parameters according to OAuth specification
+and offers high-level functionality to sign requests or verify OAuth signatures as well as perform HTTP requests.
+
+Note: If you want to build with NSS suport instead of OpenSSL pass NSS=yes to the script.
diff --git a/libraries/liboauth/liboauth.SlackBuild b/libraries/liboauth/liboauth.SlackBuild
new file mode 100644
index 0000000000..819e22333a
--- /dev/null
+++ b/libraries/liboauth/liboauth.SlackBuild
@@ -0,0 +1,109 @@
+#!/bin/sh
+
+# Copyright (c) 2014, Симон Болоканов, Bulgaria <sbolokanov@abv.bg>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Changelog:
+# v1.0.3 - redone script completely and send to SBo
+
+PRGNAM=liboauth
+VERSION=${VERSION:-1.0.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+NSS=${NSS:-no}
+
+if [ "$NSS" = yes ]; then
+ OPTS="--enable-nss"
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -m32 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# compile in clean dir
+mkdir -v build
+cd build
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+../configure \
+ ${OPTS} \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make DESTDIR=$PKG install
+
+cd ..
+
+mkdir -pv $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog INSTALL README LICENSE.OpenSSL $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -pv $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/liboauth/liboauth.info b/libraries/liboauth/liboauth.info
new file mode 100644
index 0000000000..892f7b6105
--- /dev/null
+++ b/libraries/liboauth/liboauth.info
@@ -0,0 +1,10 @@
+PRGNAM="liboauth"
+VERSION="1.0.3"
+HOMEPAGE="http://liboauth.sourceforge.net/"
+DOWNLOAD="http://sourceforge.net/projects/liboauth/files/liboauth-1.0.3.tar.gz"
+MD5SUM="689b46c2b3ab1a39735ac33f714c4f7f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Симон Болоканов"
+EMAIL="sbolokanov@abv.bg"
diff --git a/libraries/liboauth/slack-desc b/libraries/liboauth/slack-desc
new file mode 100644
index 0000000000..d61204fafd
--- /dev/null
+++ b/libraries/liboauth/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+liboauth: liboauth (C library implementing OAuth Core RFC 5849)
+liboauth:
+liboauth: liboauth is a collection of POSIX-c functions implementing the OAuth
+liboauth: Core RFC 5849 standard.
+liboauth: liboauth provides functions to escape and encode parameters according
+liboauth: to OAuth specification and offers high-level functionality to sign
+liboauth: requests or verify OAuth signatures as well as perform HTTP requests.
+liboauth:
+liboauth: liboauth depends on either on the OpenSSL library or on NSS
+liboauth: (Mozilla's Network Security Services), which are used for generating
+liboauth: the hash/signature, and optionally libcurl for issuing HTTP requests.